## minio_quota_checker

`minio_quota_checker` is a Python-based utility crafted to automate the enforcement of storage quotas within MinIO object storage systems. It operates by periodically scanning MinIO buckets, intelligently grouping them by user based on a `username-bucketname` naming convention, and calculating the total storage consumption for each user. Leveraging Redis for efficient data storage and retrieval, this script flags users who surpass their pre-defined storage limits. This is achieved by setting a specific key in Redis, which can then be used by other services, such as Nginx or API gateways, to enforce access restrictions or provide notifications. This tool is indispensable for administrators managing multi-tenant MinIO environments where granular, user-level storage quotas are essential.

For detailed usage instructions, configuration options, and advanced deployment strategies, please refer to the project's wiki: [minio_quota_checker Wiki](https://git.bugzbunny.net/bugzbunnynet/minio_quota_checker/wiki/?action=_pages)